PPIx::Regexp::Token::Backtrack(3)

NAME
PPIx::Regexp::Token::Backtrack - Represent backtrack control.

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new( 'qr{(*ACCEPT)}smx' )
     ->print();

INHERITANCE
"PPIx::Regexp::Token::Backtrack" is a PPIx::Regexp::Token.

"PPIx::Regexp::Token::Backtrack" has no descendants.

DESCRIPTION
This class represents one of the backtrack controls.

METHODS
This class provides no public methods beyond those provided by its superclass.

  arg
This method returns the backtrack control argument specified by the element. This is the text after the first colon (':'), or the empty string ('') if none was specified.

  verb
This method returns the backtrack control verb represented by the element. This is the text up to but not including the first colon (':') if any. If the element specifies '' or "'F"", this method will return 'MARK' or 'FAIL', respectively.

SUPPORT
Support is by the author. Please file bug reports at <https://rt.cpan.org/Public/Dist/Display.html?Name=PPIx-Regexp>, <https://github.com/trwyant/perl-PPIx-Regexp/issues>, or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III wyant at cpan dot org

COPYRIGHT AND LICENSE
Copyright (C) 2009-2023 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.